package com.ruoyi.project.patrol.dev.service.impl;

import com.ruoyi.project.patrol.dev.domain.TDevPostFire;
import com.ruoyi.project.patrol.dev.mapper.TDevPostFireMapper;
import com.ruoyi.project.patrol.dev.service.ITDevPostFireService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 地上消火栓检查记录Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-30
 */
@Service
public class TDevPostFireServiceImpl implements ITDevPostFireService
{
    @Autowired
    private TDevPostFireMapper tDevPostFireMapper;

    /**
     * 查询地上消火栓检查记录
     *
     * @param id 地上消火栓检查记录主键
     * @return 地上消火栓检查记录
     */
    @Override
    public TDevPostFire selectTDevPostFireById(Long id)
    {
        return tDevPostFireMapper.selectTDevPostFireById(id);
    }

    /**
     * 查询地上消火栓检查记录列表
     *
     * @param tDevPostFire 地上消火栓检查记录
     * @return 地上消火栓检查记录
     */
    @Override
    public List<TDevPostFire> selectTDevPostFireList(TDevPostFire tDevPostFire)
    {
        return tDevPostFireMapper.selectTDevPostFireList(tDevPostFire);
    }

    /**
     * 新增地上消火栓检查记录
     *
     * @param tDevPostFire 地上消火栓检查记录
     * @return 结果
     */
    @Override
    public int insertTDevPostFire(TDevPostFire tDevPostFire)
    {
        return tDevPostFireMapper.insertTDevPostFire(tDevPostFire);
    }

    /**
     * 修改地上消火栓检查记录
     *
     * @param tDevPostFire 地上消火栓检查记录
     * @return 结果
     */
    @Override
    public int updateTDevPostFire(TDevPostFire tDevPostFire)
    {
        return tDevPostFireMapper.updateTDevPostFire(tDevPostFire);
    }

    /**
     * 批量删除地上消火栓检查记录
     *
     * @param ids 需要删除的地上消火栓检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevPostFireByIds(Long[] ids)
    {
        return tDevPostFireMapper.deleteTDevPostFireByIds(ids);
    }

    /**
     * 删除地上消火栓检查记录信息
     *
     * @param id 地上消火栓检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevPostFireById(Long id)
    {
        return tDevPostFireMapper.deleteTDevPostFireById(id);
    }
}
